搜尋 Mozilla 技術支援網站

防止技術支援詐騙。我們絕對不會要求您撥打電話或發送簡訊,或是提供個人資訊。請用「回報濫用」功能回報可疑的行為。

Learn More

For Mac Powerbook G4 (10.3.9), downloading Firefox "3.6.24 dmg" always fails to "verify" and when opening the archive it says the dmg is corrupt. This version appears to be the latest one that will run on this system.

more options

Now using Firefox 2.0.0.2. Running okay, however can't access cetain sites. Only want to upgrade enough to get by.

所有回覆 (1)

more options

Firefox 3.6 versions aren't compatible with OSX 10.3.9, Firefox 2.0.0.20 is the last ever release for Mac OSX 10.3.9 and earlier versions.
Get it here:
https://ftp.mozilla.org/pub/mozilla.org/firefox/releases/2.0.0.20/mac/en-US/